Deployments.ai Docs
Tenancy

Accept an invitation

POST /v1/invitations/{id}/accept · SDK acceptOrganizationInvitation · CLI deployments invitation accept

POST
/v1/invitations/{id}/accept

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

id*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Request Body

application/json
  1. body
token*string
Match^\S[\s\S]*\S$|^\S$|^$
Length1 <= length <= 1024

Response Body

OrganizationMemberResponse

application/json
  1. response
createdAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
updatedAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
version*integer
Range1 <= value
displayName?string
Match^\S[\s\S]*\S$|^\S$|^$
Length1 <= length <= 120
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
invitedAt?string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
joinedAt?string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
organizationId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
primaryEmail?string
Match^\S[\s\S]*\S$|^\S$|^$
Lengthlength <= 254
principalId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
removedAt?string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
role*string
Value in"admin""billing""member""owner""viewer"
status*string
Value in"active""invited""removed"
curl -X POST "https://example.com/v1/invitations/string/accept" \  -H "Content-Type: application/json" \  -d '{    "token": "string"  }'
{  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "version": 1,  "displayName": "string",  "id": "string",  "invitedAt": "2019-08-24T14:15:22Z",  "joinedAt": "2019-08-24T14:15:22Z",  "organizationId": "string",  "primaryEmail": "string",  "principalId": "string",  "removedAt": "2019-08-24T14:15:22Z",  "role": "admin",  "status": "active"}